Distribution:		CCux
Packager:		Christian Metzen <metzench@ccux-linux.de>

Summary:		File Roller is a tool for viewing and creating archives
Name:			file-roller
Version:		2.22.1
Release: 		1
License:		GPL
Group:			Archiving/Compression
URL:			http://ftp.gnome.org/pub/gnome/sources/file-roller/
Source:			file-roller-%{version}.tar.bz2
BuildRoot:		%{_tmppath}/file-roller-%{version}-root

BuildRequires: 		glib-devel
BuildRequires: 		pango-devel
BuildRequires: 		gtk2+-devel
BuildRequires: 		libgnomeui-devel
BuildRequires: 		libgnomeprintui-devel
BuildRequires: 		libgnomeprint-devel
BuildRequires: 		nautilus-devel
BuildRequires: 		libtool
BuildRequires: 		autoconf
BuildRequires: 		gettext
BuildRequires: 		desktop-file-utils
BuildRequires: 		gnome-doc-utils
BuildRequires: 		scrollkeeper
BuildRequires: 		perl-XML-Parser

Requires(post): scrollkeeper
Requires(post): desktop-file-utils
Requires(pre): GConf
Requires(post): GConf
Requires(preun): GConf

Requires(postun): scrollkeeper
Requires(postun): desktop-file-utils

%description
File Roller is an application for creating and viewing archives files, 
such as tar files.

%prep
%setup -q

%build
autoconf
%configure --sysconfdir=%_sysconfdir/gnome --localstatedir=/var/lib --disable-scrollkeeper --libexecdir=$(pkg-config --variable=prefix ORBit-2.0)/lib/file-roller
export tagname=CC
make LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export tagname=CC
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -rf $RPM_BUILD_ROOT/var/lib/scrollkeeper

rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/*.a

rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0/*.a

rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database -q
scrollkeeper-update -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gnome/gconf/schemas/file-roller.schemas 2>&1 >/dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gnome/gconf/schemas/file-roller.schemas 2>&1 >/dev/null
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gnome/gconf/schemas/file-roller.schemas 2>&1 >/dev/null
fi

%postun
update-desktop-database -q
scrollkeeper-update -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS AUTHORS
%{_bindir}/file-roller
%{_datadir}/file-roller
%{_datadir}/gnome/help/file-roller
%{_datadir}/omf/file-roller
%{_datadir}/applications/file-roller.desktop
%{_datadir}/icons/*
%{_sysconfdir}/gnome/gconf/schemas/file-roller.schemas
%{_libdir}/nautilus/extensions-2.0/libnautilus-fileroller.so
%{_libdir}/file-roller

%changelog
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-1
- Version update
* Tue Nov 27 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.2-1
- Version update, changed package group
* Tue Oct 16 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Sun Sep 30 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Wed Apr 11 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.1-1
- Version update
* Thu Mar 22 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Thu Nov 23 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.2-1
- Initial release
